<?php

	/*
	 * Trecho de insert de produtos na tabela loja_produtos
	 *
	 */

	require 'auxiliares/funcao-slug.php';

	$caminhoAmigavel = slug($_POST['nomeProduto']);

	$selectSlug = mysql_query("SELECT COUNT(idProduto) FROM loja_produto WHERE SUBSTR(slugProduto, 1, ".strlen($caminhoAmigavel).") = '".$caminhoAmigavel."'");

	$qtSlugs = mysql_result($selectSlug, 0, 0);

	if($qtSlugs > 0) $caminhoAmigavel .= "-".$qtSlugs;

	// resolver fabricante
	if ($_POST['novoFabricante'] == 1) {
		
		$insertFabricante = mysql_query("INSERT INTO loja_fabricante (titulo, siteFabricante) VALUES ('".mysql_escape_string(utf8_decode($_POST['novoTextFabricante']))."', '".mysql_escape_string(utf8_decode($_POST['siteTextFabricante']))."')");
		// echo "INSERT INTO loja_fabricante (titulo, siteFabricante) VALUES ('".utf8_decode($_POST['novoTextFabricante'])."', '".$_POST['siteTextFabricante']."')";
		$idFabricante = mysql_insert_id();
	}
	else {

		$idFabricante = $_POST['selectFabricante'];
	}

	include_once("auxiliares/redimensionaImg.class.php");

	$redim = new Redimensiona();

	// resolver fotos
	if ($_FILES['fotoPrincipalProduto']['size'] > 0) {
		
		$numero = rand(1,99999999);
		$nome = $numero.$_FILES['fotoPrincipalProduto']['name'];
		$nome = $redim->tratar_arquivo_upload($nome);
		
		$tipoImagem = $_FILES['fotoPrincipalProduto']['type'];

		// Thumbs
		$fotoThumbs = $_FILES['fotoPrincipalProduto']['tmp_name'];	
		$filenameThumbs = $redim->GerarThumbs($fotoThumbs, 65, 65, "imagens-site/loja/thumbs", $tipoImagem, $nome);

		// Capa
		$fotoThumbs = $_FILES['fotoPrincipalProduto']['tmp_name'];	
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 284, 123, "imagens-site/loja/capas", $tipoImagem, $nome);

		// Medium
		$fotoThumbs = $_FILES['fotoPrincipalProduto']['tmp_name'];	
		$filenameThumbs = $redim->Redimensionar($fotoThumbs, 230, 230, "imagens-site/loja/medium", $tipoImagem, $nome);

		// Normal
		$foto = $_FILES['fotoPrincipalProduto']['tmp_name'];	
		$filenameDestaque = $redim->Redimensionar($foto, 1000, 1000, "imagens-site/loja", $tipoImagem, $nome);

	}

	if (($_POST['chkProdutoNovidade'] == 'on') || ($_POST['chkProdutoNovidade'] == 1)) {
		$novidade = 1;
	}



	$queryProduto = "INSERT INTO loja_produto
	(
		titulo, textoApresentacao,
		descricao, fotoDestaque,
		slugProduto, keywords
	) VALUES (
		'".mysql_escape_string(utf8_decode($_POST['nomeProduto']))."', '".mysql_escape_string(utf8_decode($_POST['textoApresentacao']))."',
		'".mysql_escape_string(utf8_decode($_POST['descricao']))."', '".$filenameDestaque."',
		 '".$caminhoAmigavel."', '".mysql_escape_string(utf8_decode(implode(",", $_POST['keywords'])))."'
	)";

	//echo $queryProduto;

	$insertProduto = mysql_query($queryProduto);

	// Retorna o id do último insert ($insertProduto)
	$idProduto = mysql_insert_id();
	/*
	 * Fim trecho de insert de produtos na tabela produtos
	 *
	 * Trecho de insert de imagens de produtos na tabela loja_gallery
	 * obs.: a imagem de destaque não esta incluída nessa tabela, mas sim junto com a descrição de produtos na tabela loja_produtos
	 */

	if ($insertProduto) {
	
		$arrayImagens = array();

		for ($i=0; $i < count($_FILES['fotoGaleriaProduto']['name']); $i++) { 
			
			if (!empty($_FILES['fotoGaleriaProduto']['size'][$i])) {

				$numero = rand(1,99999999);
				$nome = $numero.$_FILES['fotoGaleriaProduto']['name'][$i];
				$nome = $redim->tratar_arquivo_upload($nome);
				
				$tipoImagem = $_FILES['fotoGaleriaProduto']['type'][$i];

				// Thumbs
				$fotoThumbs = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];	
				$filenameGallery = $redim->GerarThumbs($fotoThumbs, 65, 65, "imagens-site/loja/thumbs", $tipoImagem, $nome);

				// Medium
				$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];	
				$filenameGallery = $redim->Redimensionar($foto, 230, 230, "imagens-site/loja/medium", $tipoImagem, $nome);

				// Normal
				$foto = $_FILES['fotoGaleriaProduto']['tmp_name'][$i];	
				$filenameGallery = $redim->Redimensionar($foto, 1000, 1000, "imagens-site/loja", $tipoImagem, $nome);

				if(!empty($filenameGallery)) $arrayImagens[] = "('".$idProduto."', '".$filenameGallery."')";

			}

			
		}

		$imagensGalleryDb = implode(",", $arrayImagens);

		$insertFotosGallery = mysql_query("INSERT INTO loja_gallery (idProduto, imagem) VALUES $imagensGalleryDb");
	}

	if ($insertProduto || $insertFotosGallery) {

		echo "Inserido";
	}

	if (!$insertProduto && !$insertFotosGallery) {
		echo "Ocorreu um erro ao cadastrar o servi&ccedil;o. Para suporte, use nosso chat &agrave; sua direita";
	}

?>